## aws-sdk-cpp 0.0+p24.04+vunstable+git20260101.2216

=== debian/changelog ===
aws-sdk-cpp (0.0+p24.04+vunstable+git20260101.2216-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 22:19:05 +0000

aws-sdk-cpp (0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000

## aws-sdk-cpp 0.0+p24.04+vunstable+git20260105.1320

=== generated/src/aws-cpp-sdk-mediapackagev2/CMakeLists.txt ===
add_project(aws-cpp-sdk-mediapackagev2 "C++ SDK for the AWS mediapackagev2 service" aws-cpp-sdk-core)

file(GLOB AWS_MEDIAPACKAGEV2_HEADERS
    "include/aws/mediapackagev2/*.h"
)

file(GLOB AWS_MEDIAPACKAGEV2_MODEL_HEADERS
    "include/aws/mediapackagev2/model/*.h"
)

file(GLOB AWS_MEDIAPACKAGEV2_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_MEDIAPACKAGEV2_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB MEDIAPACKAGEV2_UNIFIED_HEADERS
    ${AWS_MEDIAPACKAGEV2_HEADERS}
    ${AWS_MEDIAPACKAGEV2_MODEL_HEADERS}
)

file(GLOB MEDIAPACKAGEV2_UNITY_SRC
    ${AWS_MEDIAPACKAGEV2_SOURCE}
    ${AWS_MEDIAPACKAGEV2_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("MEDIAPACKAGEV2" MEDIAPACKAGEV2_UNITY_SRC)
endif()

file(GLOB MEDIAPACKAGEV2_SRC
    ${MEDIAPACKAGEV2_UNIFIED_HEADERS}
    ${MEDIAPACKAGEV2_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\mediapackagev2" FILES ${AWS_MEDIAPACKAGEV2_HEADERS})
        source_group("Header Files\\aws\\mediapackagev2\\model" FILES ${AWS_MEDIAPACKAGEV2_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_MEDIAPACKAGEV2_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_MEDIAPACKAGEV2_MODEL_SOURCE})
    endif(MSVC)
endif()

set(MEDIAPACKAGEV2_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${MEDIAPACKAGEV2_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_MEDIAPACKAGEV2_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_MEDIAPACKAGEV2_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/mediapackagev2)
install (FILES ${AWS_MEDIAPACKAGEV2_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/mediapackagev2/model)

do_packaging()

=== generated/src/aws-cpp-sdk-medical-imaging/CMakeLists.txt ===
add_project(aws-cpp-sdk-medical-imaging "C++ SDK for the AWS medical-imaging service" aws-cpp-sdk-core)

file(GLOB AWS_MEDICAL-IMAGING_HEADERS
    "include/aws/medical-imaging/*.h"
)

file(GLOB AWS_MEDICAL-IMAGING_MODEL_HEADERS
    "include/aws/medical-imaging/model/*.h"
)

file(GLOB AWS_MEDICAL-IMAGING_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_MEDICAL-IMAGING_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB MEDICAL-IMAGING_UNIFIED_HEADERS
    ${AWS_MEDICAL-IMAGING_HEADERS}
    ${AWS_MEDICAL-IMAGING_MODEL_HEADERS}
)

file(GLOB MEDICAL-IMAGING_UNITY_SRC
    ${AWS_MEDICAL-IMAGING_SOURCE}
    ${AWS_MEDICAL-IMAGING_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("MEDICAL-IMAGING" MEDICAL-IMAGING_UNITY_SRC)
endif()

file(GLOB MEDICAL-IMAGING_SRC
    ${MEDICAL-IMAGING_UNIFIED_HEADERS}
    ${MEDICAL-IMAGING_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\medical-imaging" FILES ${AWS_MEDICAL-IMAGING_HEADERS})
        source_group("Header Files\\aws\\medical-imaging\\model" FILES ${AWS_MEDICAL-IMAGING_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_MEDICAL-IMAGING_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_MEDICAL-IMAGING_MODEL_SOURCE})
    endif(MSVC)
endif()

set(MEDICAL-IMAGING_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${MEDICAL-IMAGING_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_MEDICALIMAGING_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_MEDICAL-IMAGING_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/medical-imaging)
install (FILES ${AWS_MEDICAL-IMAGING_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/medical-imaging/model)

do_packaging()

=== generated/src/aws-cpp-sdk-mgn/CMakeLists.txt ===
add_project(aws-cpp-sdk-mgn "C++ SDK for the AWS mgn service" aws-cpp-sdk-core)

file(GLOB AWS_MGN_HEADERS
    "include/aws/mgn/*.h"
)

file(GLOB AWS_MGN_MODEL_HEADERS
    "include/aws/mgn/model/*.h"
)

file(GLOB AWS_MGN_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_MGN_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB MGN_UNIFIED_HEADERS
    ${AWS_MGN_HEADERS}
    ${AWS_MGN_MODEL_HEADERS}
)

file(GLOB MGN_UNITY_SRC
    ${AWS_MGN_SOURCE}
    ${AWS_MGN_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("MGN" MGN_UNITY_SRC)
endif()

file(GLOB MGN_SRC
    ${MGN_UNIFIED_HEADERS}
    ${MGN_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\mgn" FILES ${AWS_MGN_HEADERS})
        source_group("Header Files\\aws\\mgn\\model" FILES ${AWS_MGN_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_MGN_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_MGN_MODEL_SOURCE})
    endif(MSVC)
endif()

set(MGN_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${MGN_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_MGN_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_MGN_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/mgn)
install (FILES ${AWS_MGN_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/mgn/model)

do_packaging()

=== generated/src/aws-cpp-sdk-rtbfabric/CMakeLists.txt ===
add_project(aws-cpp-sdk-rtbfabric "C++ SDK for the AWS rtbfabric service" aws-cpp-sdk-core)

file(GLOB AWS_RTBFABRIC_HEADERS
    "include/aws/rtbfabric/*.h"
)

file(GLOB AWS_RTBFABRIC_MODEL_HEADERS
    "include/aws/rtbfabric/model/*.h"
)

file(GLOB AWS_RTBFABRIC_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_RTBFABRIC_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB RTBFABRIC_UNIFIED_HEADERS
    ${AWS_RTBFABRIC_HEADERS}
    ${AWS_RTBFABRIC_MODEL_HEADERS}
)

file(GLOB RTBFABRIC_UNITY_SRC
    ${AWS_RTBFABRIC_SOURCE}
    ${AWS_RTBFABRIC_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("RTBFABRIC" RTBFABRIC_UNITY_SRC)
endif()

file(GLOB RTBFABRIC_SRC
    ${RTBFABRIC_UNIFIED_HEADERS}
    ${RTBFABRIC_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\rtbfabric" FILES ${AWS_RTBFABRIC_HEADERS})
        source_group("Header Files\\aws\\rtbfabric\\model" FILES ${AWS_RTBFABRIC_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_RTBFABRIC_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_RTBFABRIC_MODEL_SOURCE})
    endif(MSVC)
endif()

set(RTBFABRIC_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${RTBFABRIC_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_RTBFABRIC_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_RTBFABRIC_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/rtbfabric)
install (FILES ${AWS_RTBFABRIC_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/rtbfabric/model)

do_packaging()

=== generated/src/aws-cpp-sdk-workspaces-instances/CMakeLists.txt ===
add_project(aws-cpp-sdk-workspaces-instances "C++ SDK for the AWS workspaces-instances service" aws-cpp-sdk-core)

file(GLOB AWS_WORKSPACES-INSTANCES_HEADERS
    "include/aws/workspaces-instances/*.h"
)

file(GLOB AWS_WORKSPACES-INSTANCES_MODEL_HEADERS
    "include/aws/workspaces-instances/model/*.h"
)

file(GLOB AWS_WORKSPACES-INSTANCES_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_WORKSPACES-INSTANCES_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB WORKSPACES-INSTANCES_UNIFIED_HEADERS
    ${AWS_WORKSPACES-INSTANCES_HEADERS}
    ${AWS_WORKSPACES-INSTANCES_MODEL_HEADERS}
)

file(GLOB WORKSPACES-INSTANCES_UNITY_SRC
    ${AWS_WORKSPACES-INSTANCES_SOURCE}
    ${AWS_WORKSPACES-INSTANCES_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("WORKSPACES-INSTANCES" WORKSPACES-INSTANCES_UNITY_SRC)
endif()

file(GLOB WORKSPACES-INSTANCES_SRC
    ${WORKSPACES-INSTANCES_UNIFIED_HEADERS}
    ${WORKSPACES-INSTANCES_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\workspaces-instances" FILES ${AWS_WORKSPACES-INSTANCES_HEADERS})
        source_group("Header Files\\aws\\workspaces-instances\\model" FILES ${AWS_WORKSPACES-INSTANCES_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_WORKSPACES-INSTANCES_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_WORKSPACES-INSTANCES_MODEL_SOURCE})
    endif(MSVC)
endif()

set(WORKSPACES-INSTANCES_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${WORKSPACES-INSTANCES_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_WORKSPACESINSTANCES_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_WORKSPACES-INSTANCES_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/workspaces-instances)
install (FILES ${AWS_WORKSPACES-INSTANCES_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/workspaces-instances/model)

do_packaging()

=== debian/changelog ===
aws-sdk-cpp (0.0+p24.04+vunstable+git20260105.1320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 13:26:05 +0000

## aws-sdk-cpp 0.0+p24.04+vunstable+git20260111.0153

=== generated/src/aws-cpp-sdk-sagemaker-runtime-http2/CMakeLists.txt ===
add_project(aws-cpp-sdk-sagemaker-runtime-http2 "C++ SDK for the AWS sagemaker-runtime-http2 service" aws-cpp-sdk-core)

file(GLOB AWS_SAGEMAKER-RUNTIME-HTTP2_HEADERS
    "include/aws/sagemaker-runtime-http2/*.h"
)

file(GLOB AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_HEADERS
    "include/aws/sagemaker-runtime-http2/model/*.h"
)

file(GLOB AWS_SAGEMAKER-RUNTIME-HTTP2_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB SAGEMAKER-RUNTIME-HTTP2_UNIFIED_HEADERS
    ${AWS_SAGEMAKER-RUNTIME-HTTP2_HEADERS}
    ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_HEADERS}
)

file(GLOB SAGEMAKER-RUNTIME-HTTP2_UNITY_SRC
    ${AWS_SAGEMAKER-RUNTIME-HTTP2_SOURCE}
    ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("SAGEMAKER-RUNTIME-HTTP2" SAGEMAKER-RUNTIME-HTTP2_UNITY_SRC)
endif()

file(GLOB SAGEMAKER-RUNTIME-HTTP2_SRC
    ${SAGEMAKER-RUNTIME-HTTP2_UNIFIED_HEADERS}
    ${SAGEMAKER-RUNTIME-HTTP2_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\sagemaker-runtime-http2" FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_HEADERS})
        source_group("Header Files\\aws\\sagemaker-runtime-http2\\model" FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_SOURCE})
    endif(MSVC)
endif()

set(SAGEMAKER-RUNTIME-HTTP2_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${SAGEMAKER-RUNTIME-HTTP2_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_SAGEMAKERRUNTIMEHTTP2_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/sagemaker-runtime-http2)
install (FILES ${AWS_SAGEMAKER-RUNTIME-HTTP2_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/sagemaker-runtime-http2/model)

do_packaging()

=== debian/changelog ===
aws-sdk-cpp (0.0+p24.04+vunstable+git20260111.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 01:56:26 +0000

=== debian/control ===
Source: aws-sdk-cpp
Section: kde
Priority: optional
Build-Depends: cmake,
               curl,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libcurl4-openssl-dev,
               libpulse-dev,
               libssl-dev,
               uuid-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://github.com/aws/aws-sdk-cpp
Vcs-Git: https://invent.kde.org/neon/neon-packaging/aws-sdk-cpp.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/aws-sdk-cpp
Maintainer: Neon CI <neon@kde.org>

Package: aws-sdk-cpp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AWS SDK for C++
 The AWS SDK for C++ provides a modern C++ (version C++ 11 or later)
 interface for Amazon Web Services (AWS). It is meant to be performant
 and fully functioning with low- and high-level SDKs, while minimizing
 dependencies and providing platform portability (Windows, OSX, Linux,
 and mobile).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf5

override_dh_auto_configure:
	./prefetch_crt_dependency.sh
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_PREFIX_PATH=/usr -DCMAKE_INSTALL_PREFIX=/usr -DBUILD_ONLY="s3"
